API Docs
AbsenceAbsence Additional ContingentAbsence ContingentAccountAccountingAccounting ContactAdded ValueAsset AccountAttachmentAttendanceAuthBank AccountCatalogCommissionContactCraftCredit InvoiceCreditorCustom FilterCustom ReportCustomerCustomFieldDashboardDebitorEmailEmployment ContractEstimateFinanceFinance JournalFinance Journal PositionsFinDocCategoryFollowupForecastGeneral InfoHolidayIntegrationsInvoiceJobJob TasksLogin MethodMeMetricsOffice LocationOrder ConfirmationOrganisationPaymentPersonProcedureProcedure ViewPurchase InvoicePurchase OrderReportResource PlanningSnippetTargetTeamTemplateTimeUserUser CraftUser GroupUser Group ActionsUser Group UsersWorkPattern
PUTBank Account
/bank_account/{id}
Update bank account
Updates a bank account
Base URL
https://<tenant>.dieagenturverwaltung.de/api/v2
Required Security
ApiKeyAuth (Authorization: Session Token)
Produces
application/json
Request
Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| id | integer | Yes | BankAccount ID |
Body Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| bank_account | app.BankAccount | Yes | BankAccount |
Parameter Models
Inspect object parameters and nested model references without loading the full Swagger file in the browser.
bank_accountBody parameterapp.BankAccount
account_holder_name
string
No description.
active_since
integer
No description.
active_until
integer
No description.
bank_name
string
No description.
bic
string
No description.
date_created
integer
No description.
date_modified
integer
No description.
iban
string
No description.
id
integer
No description.
is_primary
boolean
No description.
label
string
No description.
parent_id
integer
No description.
cURL
curl -X PUT 'https://<tenant>.dieagenturverwaltung.de/api/v2/bank_account/123' \
-H 'Accept: application/json' \
-H 'Authorization: Session Token' \
-H 'Content-Type: application/json' \
--data-raw '{
"account_holder_name": "string",
"active_since": 123,
"active_until": 123,
"bank_name": "string",
"bic": "string",
"date_created": 123,
"date_modified": 123,
"iban": "string",
"id": 123,
"is_primary": true,
"label": "string",
"parent": {},
"parent_id": 123
}'Request Body (application/json)
{
"account_holder_name": "string",
"active_since": 123,
"active_until": 123,
"bank_name": "string",
"bic": "string",
"date_created": 123,
"date_modified": 123,
"iban": "string",
"id": 123,
"is_primary": true,
"label": "string",
"parent": {...},
"parent_id": 123
}Responses
200OK
app.BankAccountapplication/json
Example
{
"account_holder_name": "string",
"active_since": 123,
"active_until": 123,
"bank_name": "string",
"bic": "string",
"date_created": 123,
"date_modified": 123,
"iban": "string",
"id": 123,
"is_primary": true,
"label": "string",
"parent": {...},
"parent_id": 123
}400Bad Request
rest_errors.Errorapplication/json
Example
{
"code": 123,
"extras": {...},
"message": "string",
"status_code": 123
}401Unauthorized
rest_errors.Errorapplication/json
Example
{
"code": 123,
"extras": {...},
"message": "string",
"status_code": 123
}403Forbidden
rest_errors.Errorapplication/json
Example
{
"code": 123,
"extras": {...},
"message": "string",
"status_code": 123
}404Not Found
rest_errors.Errorapplication/json
Example
{
"code": 123,
"extras": {...},
"message": "string",
"status_code": 123
}